com.amazonaws.services.workspaces.model

## Class DescribeWorkspacesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.workspaces.model.DescribeWorkspacesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DescribeWorkspacesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Contains the inputs for the DescribeWorkspaces operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DescribeWorkspacesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeWorkspacesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getBundleId()` The identifier of a bundle to obtain the WorkSpaces for.
`String` `getDirectoryId()` Specifies the directory identifier to which to limit the WorkSpaces.
`Integer` `getLimit()` The maximum number of items to return.
`String` `getNextToken()` The `NextToken` value from a previous call to this operation.
`String` `getUserName()` Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.
`List<String>` `getWorkspaceIds()` An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information.
`int` `hashCode()`
`void` `setBundleId(String bundleId)` The identifier of a bundle to obtain the WorkSpaces for.
`void` `setDirectoryId(String directoryId)` Specifies the directory identifier to which to limit the WorkSpaces.
`void` `setLimit(Integer limit)` The maximum number of items to return.
`void` `setNextToken(String nextToken)` The `NextToken` value from a previous call to this operation.
`void` `setUserName(String userName)` Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.
`void` `setWorkspaceIds(Collection<String> workspaceIds)` An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeWorkspacesRequest` `withBundleId(String bundleId)` The identifier of a bundle to obtain the WorkSpaces for.
`DescribeWorkspacesRequest` `withDirectoryId(String directoryId)` Specifies the directory identifier to which to limit the WorkSpaces.
`DescribeWorkspacesRequest` `withLimit(Integer limit)` The maximum number of items to return.
`DescribeWorkspacesRequest` `withNextToken(String nextToken)` The `NextToken` value from a previous call to this operation.
`DescribeWorkspacesRequest` `withUserName(String userName)` Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.
`DescribeWorkspacesRequest` `withWorkspaceIds(Collection<String> workspaceIds)` An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information.
`DescribeWorkspacesRequest` `withWorkspaceIds(String... workspaceIds)` An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescribeWorkspacesRequest

    public DescribeWorkspacesRequest()

### Method Detail

#### getWorkspaceIds

    public List<String> getWorkspaceIds()

An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

Returns:
  An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

  Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

#### setWorkspaceIds

    public void setWorkspaceIds(Collection<String> workspaceIds)

An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

Parameters:
  `workspaceIds` - An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

  Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

#### withWorkspaceIds

    public DescribeWorkspacesRequest withWorkspaceIds(String... workspaceIds)

An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

NOTE: This method appends the values to the existing list (if any). Use `setWorkspaceIds(java.util.Collection)` or `withWorkspaceIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `workspaceIds` - An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

  Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWorkspaceIds

    public DescribeWorkspacesRequest withWorkspaceIds(Collection<String> workspaceIds)

An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

Parameters:
  `workspaceIds` - An array of strings that contain the identifiers of the WorkSpaces for which to retrieve information. This parameter cannot be combined with any other filter parameter.

  Because the CreateWorkspaces operation is asynchronous, the identifier it returns is not immediately available. If you immediately call DescribeWorkspaces with this identifier, no information is returned.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDirectoryId

    public void setDirectoryId(String directoryId)

Specifies the directory identifier to which to limit the WorkSpaces. Optionally, you can specify a specific directory user with the `UserName` parameter. This parameter cannot be combined with any other filter parameter.

Parameters:
  `directoryId` - Specifies the directory identifier to which to limit the WorkSpaces. Optionally, you can specify a specific directory user with the `UserName` parameter. This parameter cannot be combined with any other filter parameter.

#### getDirectoryId

    public String getDirectoryId()

Specifies the directory identifier to which to limit the WorkSpaces. Optionally, you can specify a specific directory user with the `UserName` parameter. This parameter cannot be combined with any other filter parameter.

Returns:
  Specifies the directory identifier to which to limit the WorkSpaces. Optionally, you can specify a specific directory user with the `UserName` parameter. This parameter cannot be combined with any other filter parameter.

#### withDirectoryId

    public DescribeWorkspacesRequest withDirectoryId(String directoryId)

Specifies the directory identifier to which to limit the WorkSpaces. Optionally, you can specify a specific directory user with the `UserName` parameter. This parameter cannot be combined with any other filter parameter.

Parameters:
  `directoryId` - Specifies the directory identifier to which to limit the WorkSpaces. Optionally, you can specify a specific directory user with the `UserName` parameter. This parameter cannot be combined with any other filter parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserName

    public void setUserName(String userName)

Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.

Parameters:
  `userName` - Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.

#### getUserName

    public String getUserName()

Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.

Returns:
  Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.

#### withUserName

    public DescribeWorkspacesRequest withUserName(String userName)

Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.

Parameters:
  `userName` - Used with the `DirectoryId` parameter to specify the directory user for whom to obtain the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBundleId

    public void setBundleId(String bundleId)

The identifier of a bundle to obtain the WorkSpaces for. All WorkSpaces that are created from this bundle will be retrieved. This parameter cannot be combined with any other filter parameter.

Parameters:
  `bundleId` - The identifier of a bundle to obtain the WorkSpaces for. All WorkSpaces that are created from this bundle will be retrieved. This parameter cannot be combined with any other filter parameter.

#### getBundleId

    public String getBundleId()

The identifier of a bundle to obtain the WorkSpaces for. All WorkSpaces that are created from this bundle will be retrieved. This parameter cannot be combined with any other filter parameter.

Returns:
  The identifier of a bundle to obtain the WorkSpaces for. All WorkSpaces that are created from this bundle will be retrieved. This parameter cannot be combined with any other filter parameter.

#### withBundleId

    public DescribeWorkspacesRequest withBundleId(String bundleId)

The identifier of a bundle to obtain the WorkSpaces for. All WorkSpaces that are created from this bundle will be retrieved. This parameter cannot be combined with any other filter parameter.

Parameters:
  `bundleId` - The identifier of a bundle to obtain the WorkSpaces for. All WorkSpaces that are created from this bundle will be retrieved. This parameter cannot be combined with any other filter parameter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLimit

    public void setLimit(Integer limit)

The maximum number of items to return.

Parameters:
  `limit` - The maximum number of items to return.

#### getLimit

    public Integer getLimit()

The maximum number of items to return.

Returns:
  The maximum number of items to return.

#### withLimit

    public DescribeWorkspacesRequest withLimit(Integer limit)

The maximum number of items to return.

Parameters:
  `limit` - The maximum number of items to return.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

Parameters:
  `nextToken` - The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

#### getNextToken

    public String getNextToken()

The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

Returns:
  The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

#### withNextToken

    public DescribeWorkspacesRequest withNextToken(String nextToken)

The `NextToken` value from a previous call to this operation. Pass null if this is the first call.

Parameters:
  `nextToken` - The `NextToken` value from a previous call to this operation. Pass null if this is the first call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DescribeWorkspacesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`